## asncounter 0.5.0~bpo13%2B1

=== test/data/Makefile ===
sample-250.ips:
	for i in $(seq 250) ; do echo 192.0.2.$i; done > sample-250.ips

sample-1k.ips:
	for i in $(seq 4) ; do cat sample-250.ips ; done >  sample-1k.ips

sample-1m.ips:
	for i in $(seq 1000) ; do cat sample-1k.ips ; done > sample-1m.ips

sample-10m.ips:
	for i in $(seq 10) ; do cat sample-1m.ips ; done > sample-10m.ips

## asncounter 0.2.0

=== debian/changelog ===
asncounter (0.2.0) unstable; urgency=medium

  * accepted in Debian, source-only upload to unstable
  * fix various crashes and edge conditions
  * add better aggregation tools
  * move docs to a manual page, pleasing lintian
  * fix autopkgtests

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 28 May 2025 16:26:53 -0400

asncounter (0.1.1) experimental; urgency=low

  * Initial release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 28 May 2025 01:26:56 +0000

=== debian/control ===
Source: asncounter
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               pandoc,
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all,
               python3-prometheus-client,
               python3-pyasn,
               python3-pytest,
               python3-scapy,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: asncounter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-prometheus-client
Suggests: python3-scapy
Description: Count the number of hits per ASN
 Count the number of hits (HTTP, packets, etc) per autonomous system
 number (ASN) and related network blocks. 
 .
 This is useful when you get a lot of traffic on a server to figure out
 which network is responsible for the traffic, to direct abuse
 complaints or block whole networks, or on core routers to figure out
 who your peers are and who you might want to seek particular peering
 agreements with
 .
 ## Features
 .
  - reads packets from a text file (or stdin) one per line
  - can parse some tcpdump output or read packets directly from
    interfaces with scapy
  - fast ASN lookups pyasn
  - automatic download of relevant databases from
    routeviews.org
  - Prometheus exporter
  - written in Python
  - optional Python REPL interpreter shell to drill into reports

## asncounter 0.4.0

=== debian/changelog ===
asncounter (0.4.0) unstable; urgency=medium

  * clarify documentation
  * parse IP addresses from command line
  * improve test coverage from 48 to 66%
  * add performance testing hardness and graphs
  * 20% performance improvements over 0.3.0 (which was a 66% performance
    loss over 0.2.0), overall 33% slower than 0.2.0

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 16 Jun 2025 12:47:54 -0400

asncounter (0.3.0) unstable; urgency=medium

  * fix crash with missing HOME variable
  * add support for opening a debug socket with manhole (ITP #1106776)
  * workaround tcpdump (lack of) IPv6 support for SYN packets in docs
  * new "tuple" input format to count sizes, latency, etc
  * expand input/output formats documentation
  * skip trailing comments on input lines
  * mypy --strict
  * 48% test coverage

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 04 Jun 2025 23:09:48 -0400

## asncounter 0.5.0~bpo13+1

=== debian/changelog ===
asncounter (0.5.0~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 19 Aug 2025 11:06:10 -0400

asncounter (0.5.0) unstable; urgency=medium

  * display total number of prefixes and ASNs found, skipped and failed lines
  * fix garbled output in actual installs
  * fix crash in threading mode
  * handle crashes in display_results
  * minor optimizations
    * remove round() from hot loop
    * remove function call from hot loop
    * test packet count scalability
  * simplify collector API, by dropping the parser callable argument
  * add CONTRIBUTING document, a variation of wallabako's
  * cosmetic: remove redundant warning in tcpdump parse errors

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jun 2025 22:05:57 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
 Recommends: python3-prometheus-client
-Suggests: python3-scapy
+Suggests: python3-scapy, python3-manhole
 Description: Count the number of hits per ASN
  Count the number of hits (HTTP, packets, etc) per autonomous system
  number (ASN) and related network blocks.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=asncounter
%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	pandoc --standalone --to man asncounter.1.md > asncounter.1
